%define _bindir /bin

Summary:	The GNU versions of grep pattern matching utilities
Name:		grep
Version:	2.20
%define subrel	1
Release:	%mkrel 4
License:	GPLv3
Group:		Text tools
URL:		http://www.gnu.org/software/grep/grep.html
Source0:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz.sig
Patch0:		grep-2.21-kwset-heap-buffer-overread.patch
Patch1:		grep-2.20-pcre-backported-fixes.patch
BuildRequires:	gettext-devel
BuildRequires:	pcre-devel
BuildRequires:	texinfo
BuildRequires:	bison

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Documentation
Requires(post):	info-install
Requires(preun):	info-install

%description doc
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep

%setup -q
%apply_patches

%build
autoreconf -fi
chmod +x tests/kwset-abuse
%configure2_5x \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make

%check
make check

%install
%makeinstall_std

%find_lang %{name}

%post doc
%_install_info %{name}.info

%preun doc
%_remove_install_info %{name}.info

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*

%files doc
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*




%changelog
* Tue Jul 28 2015 luigiwalser <luigiwalser> 2.20-4.1.mga5
+ Revision: 858770
- add patch from fedora to fix various bugs with PCRE mode (mga#16313, rhbz#1161832)

* Mon Jan 19 2015 luigiwalser <luigiwalser> 2.20-4.mga5
+ Revision: 811428
- add upstream patch to fix heap buffer overread (gnu bug#19563, CVE-2015-1345)

* Wed Oct 15 2014 umeabot <umeabot> 2.20-3.mga5
+ Revision: 746291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20-2.mga5
+ Revision: 679935
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 luigiwalser <luigiwalser> 2.20-1.mga5
+ Revision: 632716
- 2.20

* Fri May 23 2014 luigiwalser <luigiwalser> 2.19-1.mga5
+ Revision: 625119
- 2.19

* Sat Feb 22 2014 luigiwalser <luigiwalser> 2.18-1.mga5
+ Revision: 595650
- 2.18

* Tue Feb 18 2014 luigiwalser <luigiwalser> 2.17-1.mga5
+ Revision: 594537
- 2.17

* Fri Jan 03 2014 luigiwalser <luigiwalser> 2.16-1.mga4
+ Revision: 564043
- 2.16

* Thu Dec 05 2013 luigiwalser <luigiwalser> 2.15-1.mga4
+ Revision: 555420
- 2.15

* Fri Oct 18 2013 umeabot <umeabot> 2.14-7.mga4
+ Revision: 505224
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.14-6.mga3
+ Revision: 352598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.14-5.mga3
+ Revision: 323595
- rebuild
- rebuild for new pcre

  + tmb <tmb>
    - rebuild with bs to replace manually built one

* Sun Oct 14 2012 ennael <ennael> 2.14-2.mga3
+ Revision: 305432
- Documentation group

* Tue Aug 21 2012 fwang <fwang> 2.14-1.mga3
+ Revision: 282854
- new version 2.14

* Thu Jul 05 2012 fwang <fwang> 2.13-1.mga3
+ Revision: 267831
- new version 2.13

* Mon Jun 11 2012 luigiwalser <luigiwalser> 2.12-1.mga3
+ Revision: 259589
- 2.12

* Fri Apr 06 2012 blino <blino> 2.11-2.mga2
+ Revision: 228882
- fix segfault with -r --exclude-dir and no file operand (from upstream git)

* Sat Mar 03 2012 fwang <fwang> 2.11-1.mga2
+ Revision: 217113
- new version 2.11

* Fri Nov 18 2011 boklm <boklm> 2.10-1.mga2
+ Revision: 168962
- version 2.10
- drop all patches

* Wed Jun 29 2011 tv <tv> 2.9-1.mga2
+ Revision: 116158
- new release

* Fri Jun 17 2011 tv <tv> 2.8-1.mga2
+ Revision: 109265
- new release
- fix signature URL

* Tue Jan 04 2011 tmb <tmb> 2.7-2.mga1
+ Revision: 153
- imported package grep

